---
title: IPv6
url: https://docs.vultr.com/products/compute/instances/cloud-compute/networking/ipv6
description: A guide explaining how to configure IPv6 addressing on your Vultr Cloud Compute instance for enhanced network connectivity.
publish_date: 2024-09-23T20:19:57.311322Z
last_updated: 2026-05-26T18:43:07.538209Z
---

# How to Add IPv6 Addresses on a Vultr Cloud Compute Instance

IPv6 is available but a public address is not automatically assigned to a Vultr Cloud Compute instance unless enabled during instance configuration. Once enabled, you can manage the instance's IPv6 network settings and configure reverse DNS for specific networking tasks.

Follow this guide to add the IPv6 information on a Vultr Cloud Compute instance using the Vultr Console, API, CLI, or Terraform.

=== "Vultr Console"

    1. Navigate to **Products** and click **Compute**.
    1. Click your target Vultr Cloud Compute instance to open its management page.
    1. Navigate to the **Settings** tab.
    1. Click **IPv6** on the left navigation menu.
    1. Click **Assign IPv6 Network** to assign a new subnet to the instance.
    1. Click **Assign IPv6 Network Address** to attach an IPv6 address to the instance.
    1. Find the **Reverse DNS** section, enter your **IPv6** address in the **IP** field, and a domain in the **Reverse DNS** field to enable reverse DNS.

=== "Vultr API"

    1. Send a `GET` request to the [**List Instances** endpoint](https://www.vultr.com/api/#tag/instances/operation/list-instances) and note your target instance's ID.

        ```console
        $ curl "https://api.vultr.com/v2/instances" \
          -X GET \
          -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `GET` request to the [**Get Instance IPv6 Information** endpoint](https://www.vultr.com/api/#tag/instances/operation/get-instance-ipv6) to view the instance's IPv6 information. 

        ```console
        $ curl "https://api.vultr.com/v2/instances/{instance-id}/ipv6" \
          -X GET \
          -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `POST` request to the [**Create Instance Reverse IPv6** endpoint](https://www.vultr.com/api/#tag/instances/operation/create-instance-reverse-ipv6) to create a new reverse DNS entry on the IPv6 address.

        ```console
        $ curl "https://api.vultr.com/v2/instances/{instance-id}/ipv6/reverse" \
          -X POST \
          -H "Authorization: Bearer ${VULTR_API_KEY}" \
          -H "Content-Type: application/json" \
          --data '{
            "ip" : "<ipv6-address>",
            "reverse" : "<domain>"
          }'
        ```

=== "Vultr CLI"

    1. List all available instances and note your target instance's ID.

        ```console
        $ vultr-cli instance list
        ```

    1. List the instance's IPv6 network information.

        ```console
        $ vultr-cli instance ipv6 list <instance-id> 
        ```

    1. Create a new IPv6 reverse DNS entry on the instance.

        ```console
        $ vultr-cli instance reverse-dns set-ipv6 <instance-id> --entry <domain> --ip <ipv6-address>
        ```

=== "Terraform"

    1. Open your Terraform configuration for the existing Cloud Compute instance.

    1. Enable IPv6 on the instance and (optionally) set reverse DNS.

        ```terraform
        # Enable IPv6 on the instance
        resource "vultr_instance" "cc" {
            # ...existing fields (region, plan, os_id, label, etc.)
            enable_ipv6 = true
        }

        # Optional: set reverse DNS for the instance's primary IPv6
        # (v6 address is known after the instance exists)
        resource "vultr_reverse_ipv6" "cc_ptr" {
            ip      = vultr_instance.cc.v6_main_ip
            reverse = "host.example.com."
        }
        ```

    1. Apply the configuration and observe the following output:

        ```
        Apply complete! Resources: 0 added, 1 changed, 0 destroyed.
        ```
